{
	"name": "nur/ture",
	"type": "library",
	"description": "espace de maturation pour les librairies",
	"repositories": [
		{
			"type": "composer",
			"url": "https://repos.univ-reunion.fr/composer"
		}
	],
	"extra": {
		"branch-alias": {
			"dev-dev74": "7.4.x-dev",
			"dev-dev82": "8.2.x-dev"
		}
	},
	"require": {
		"php": "^8.2"
	},
	"require-dev": {
		"nulib/php": "^0.4.0p82",
		"nulib/spout": "^0.4.0p82",
		"nulib/phpss": "^0.4.0p82",
		"nulib/tests": "^8.2",
		"ext-posix": "*",
		"ext-pcntl": "*",
		"ext-fileinfo": "*",
		"ext-mbstring": "*",
		"ext-bcmath": "*",
		"ext-zip": "*",
		"ext-json": "*",
		"ext-iconv": "*",
		"ext-curl": "*",
		"ext-tidy": "*",
		"ext-ldap": "*",
		"ext-oci8": "*",
		"ext-pdo": "*",
		"ext-pgsql": "*",
		"ext-sqlite3": "*"
	},
	"replace": {
		"nur/tests": "dev-master",
		"nur/base": "dev-wip",
		"nur/v-bs3": "dev-wip",
		"nur/m-pdo": "dev-wip",
		"nur/m-oracle": "dev-wip",
		"nur/m-pgsql": "dev-wip",
		"nur/mapper": "dev-wip",
		"nur/passwd": "dev-wip",
		"nur/ldap": "dev-wip",
		"nur/sery": "*"
	},
	"autoload": {
		"psr-4": {
			"nulib\\": "src_glue",
			"nur\\sery\\wip\\": "src",
			"nur\\sery\\": "src_app",
			"nur\\": "nur_src"
		},
		"files": [
			"nur_autoload.php"
		]
	},
	"autoload-dev": {
		"psr-4": {
			"nur\\sery\\": "tests",
			"nur\\": "nur_tests"
		}
	},
	"bin": [
		"bin/dumpser.php",
		"bin/csv2xlsx.php",
		"nur_bin/compctl.php",
		"nur_bin/compdep.php",
		"nur_bin/datectl.php",
		"nur_bin/fsvdiff.php",
		"nur_bin/cachectl.php",
		"nur_bin/ldap-delete.php",
		"nur_bin/ldap-get-infos.php",
		"nur_bin/ldap-search.php",
		"nur_bin/sqlite-storage.php",
		"nur_bin/mysql-storage.php"
	],
	"scripts": {
		"uc": "@php sbin/update_classes.php"
	},
	"authors": [
		{
			"name": "Jephte Clain",
			"email": "Jephte.Clain@univ-reunion.fr"
		}
	]
}
